
<!-- 参数配置， 弹层模式  -->

<template>
  <a-drawer
    v-model:visible="vdata.visible"
    title="参数配置"
    width="70%"
    @close="vdata.visible = false"
  >
    <JeepayApplymentAppConfig v-if="vdata.visible" ref="jeepayApplymentAppConfig" />
  </a-drawer>
</template>

<script lang="ts" setup>
import {ref, reactive, nextTick} from 'vue'

const jeepayApplymentAppConfig = ref()

const vdata : any = reactive({

  applyId: null, // 更新对象ID
  visible: false, // 是否显示弹层/抽屉
})

function show (applyId) { // 弹层打开事件

  vdata.applyId = applyId
  vdata.visible = true

  nextTick(() => {
    jeepayApplymentAppConfig.value.pageRender(applyId)
  })

}

defineExpose({ show })
</script>